package com.ym.mec.biz.dal.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @author hgw
 * Created by 2022-02-25
 */
public class ImLiveBroadcastRoomMemberVo implements java.io.Serializable {

    @ApiModelProperty(value = "房间编号")
    private String roomUid;

    @ApiModelProperty(value = "房间标题")
    private String roomTitle;

    @ApiModelProperty(value = "学生编号")
    private Integer studentId;

    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "声部名称")
    private String subName;

    @ApiModelProperty(value = "进入房间时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date joinTime;

    @ApiModelProperty(value = "累计观看时长")
    private Integer totalViewTime;

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public Date getJoinTime() {
        return joinTime;
    }

    public void setJoinTime(Date joinTime) {
        this.joinTime = joinTime;
    }

    public Integer getTotalViewTime() {
        return totalViewTime;
    }

    public void setTotalViewTime(Integer totalViewTime) {
        this.totalViewTime = totalViewTime;
    }

    public String getRoomUid() {
        return roomUid;
    }

    public void setRoomUid(String roomUid) {
        this.roomUid = roomUid;
    }

    public String getRoomTitle() {
        return roomTitle;
    }

    public void setRoomTitle(String roomTitle) {
        this.roomTitle = roomTitle;
    }
}
